diff --git a/event-driven-architecture/src/main/java/com/iluwatar/eda/event/Event.java b/event-driven-architecture/src/main/java/com/iluwatar/eda/event/Event.java
index 9ef3dd7dbb..bcf78f2755 100644
--- a/event-driven-architecture/src/main/java/com/iluwatar/eda/event/Event.java
+++ b/event-driven-architecture/src/main/java/com/iluwatar/eda/event/Event.java
@@ -17,7 +17,7 @@
   /**
    * Returns the event type as a {@link Class} object
    * In this example, this method is used by the {@link EventDispatcher} to
-   * onEvent events depending on their type.
+   * dispatch events depending on their type.
    *
    * @return the Event type as a {@link Class}.
    */
